package com.huawei.hwmdemo.vision.dependency.menu.toolbar.handle;

import com.huawei.hwmdemo.menu.FloatingAudienceToolbarMenuCreator;
import com.huawei.hwmconf.presentation.dependency.menu.IConfMenu;
import com.huawei.hwmconf.presentation.dependency.menu.v2.IToolbarMenuStrategy;
import com.huawei.hwmdemo.dependency.menu.item.CustomMenu;
import com.huawei.hwmdemo.dependency.menu.item.VisionPairCodeMenu;
import com.huawei.hwmdemo.utils.DemoUtil;

import java.util.ArrayList;
import java.util.List;

public class CustomVisionFloatingAudienceToolbarHandle implements IToolbarMenuStrategy {
    @Override
    public List<IConfMenu> buildMenuItems() {
        List<IConfMenu> confMenus = FloatingAudienceToolbarMenuCreator.createFloatingAudienceToolbarMenus(DemoUtil.getApplication());
        confMenus.add(new VisionPairCodeMenu());
        //增加一个自定义菜单
        confMenus.add(new CustomMenu());
        return confMenus;
    }

    @Override
    public List<IConfMenu> buildMoreMenuItems() {
        List<IConfMenu> confMenus = FloatingAudienceToolbarMenuCreator.createFloatingAudienceToolbarMoreMenus(DemoUtil.getApplication());
        confMenus.add(new VisionPairCodeMenu());
        //增加一个自定义菜单
        confMenus.add(new CustomMenu());
        return confMenus;
    }

    @Override
    public List<IConfMenu> buildSettingMenuItems() {
        return new ArrayList<>();
    }
}
